dots.v2.firewalls.byFirewall_id().droplets.post()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.firewalls.byFirewall_id(firewall_id).droplets.post(body: DropletsPostRequestBody, requestConfiguration?: RequestConfiguration<object>): Promise<void>

Description

To assign a Droplet to a firewall, send a POST request to /v2/firewalls/{firewall_id}/droplets. In the body of the request, there should be a droplet_ids attribute containing a list of Droplet IDs.

No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.

Parameters

Path Parameters

firewall_id string required

Example: bb4b2611-3d72-467b-8602-280330ecd65c

A unique ID that can be used to identify and reference a firewall.

Request Body

dropletIds array of integers required

Example: [49696269]

An array containing the IDs of the Droplets to be assigned to the firewall.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.firewalls
    .byFirewall_id("bb4b2611-3d72-467b-8602-280330ecd65c").droplets.post({
    dropletIds: [
        49696269,
    ],
});

More Information

See /v2/firewalls/{firewall_id}/droplets in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.